Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356884 - Make thin_ls available in rhel 7.2.z
Summary: Make thin_ls available in rhel 7.2.z
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-persistent-data
Version: 7.3
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: Bruno Goncalves
URL:
Whiteboard:
Depends On: 1315452
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 08:20 UTC by Marcel Kolaja
Modified: 2016-08-02 18:38 UTC (History)
18 users (show)

Fixed In Version: device-mapper-persistent-data-0.6.2-1.el7_2
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The device-mapper-persistent-data packages have been upgraded to upstream version 0.6.2, which provides a number of bug fixes and enhancements over the previous version. Notably, the thin_ls tool, which lists thin volumes within a pool, is now available.
Clone Of: 1315452
Environment:
Last Closed: 2016-08-02 18:38:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1545 normal SHIPPED_LIVE device-mapper-persistent-data bug fix and enhancement update 2016-08-02 22:23:00 UTC

Description Marcel Kolaja 2016-07-15 08:20:04 UTC
This bug has been copied from bug #1315452 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 4 Bruno Goncalves 2016-07-19 12:11:26 UTC
# rpm -q device-mapper-persistent-data
device-mapper-persistent-data-0.6.2-1.el7_2.x86_64

# rpm -ql device-mapper-persistent-data | grep thin_ls
/usr/sbin/thin_ls
/usr/share/man/man8/thin_ls.8.gz


# lvcreate -L 200M -T vgtest/mythinpool -V1G -n thin1
# lvcreate  -T vgtest/mythinpool -V1G -n thin2

# dmsetup message /dev/mapper/vgtest-mythinpool-tpool 0 reserve_metadata_snap

# thin_ls  --metadata-snap /dev/mapper/vgtest-mythinpool_tmeta 
DEV MAPPED CREATE_TIME SNAP_TIME 
  1      0           0         0 
  2      0           0         0 

# dmsetup message /dev/mapper/vgtest-mythinpool-tpool 0 release_metadata_snap

Comment 7 errata-xmlrpc 2016-08-02 18:38:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1545.html


Note You need to log in before you can comment on or make changes to this bug.